org.apache.fop.render.pcl

## Class PCLRendererConfig

- java.lang.Object
- - org.apache.fop.render.pcl.PCLRendererConfig

All Implemented Interfaces:
  RendererConfig

    public final class PCLRendererConfig
    extends Object
    implements RendererConfig

The PCL renderer configuration data object.

### Nested Class Summary

Nested Classes
`static class` `PCLRendererConfig.PCLRendererConfigParser` The PCL renderer configuration data parser.

### Nested classes/interfaces inherited from interface org.apache.fop.render.RendererConfig

`RendererConfig.RendererConfigParser`

### Method Summary

All Methods Instance Methods Concrete Methods
`DefaultFontConfig` `getFontInfoConfig()` Returns the render-specific font configuration information.
`PCLRenderingMode` `getRenderingMode()`
`Boolean` `isColorEnabled()`
`Boolean` `isDisablePjl()`
`Boolean` `isOptimizeResources()`
`Boolean` `isTextRendering()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getFontInfoConfig

    public DefaultFontConfig getFontInfoConfig()

Description copied from interface: `RendererConfig`
Returns the render-specific font configuration information.

Specified by:
  `getFontInfoConfig` in interface `RendererConfig`
Returns:
  the font config

#### getRenderingMode

    public PCLRenderingMode getRenderingMode()

#### isTextRendering

    public Boolean isTextRendering()

#### isDisablePjl

    public Boolean isDisablePjl()

#### isColorEnabled

    public Boolean isColorEnabled()

#### isOptimizeResources

    public Boolean isOptimizeResources()